Skip to main content
POST
/
knowledge-base
Create a new knowledge base
curl --request POST \
  --url https://api.vectorshift.ai/v1/knowledge-base \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "chunk_size": 123,
  "chunk_overlap": 123,
  "analyze_documents": true,
  "apify_key": "<string>"
}
'
{
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectorshift.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using API key

Body

name
string
required

Name of the knowledge base

description
string
file_processing_implementation
enum<string>
Available options:
Default,
Textract,
Unstructured,
LlamaParse,
Other
chunk_size
integer
chunk_overlap
integer
analyze_documents
boolean
apify_key
string

Response

Knowledge base created successfully

status
enum<string>
Available options:
success,
failed
id
string

ID of the created knowledge base